package main

import (
	"fmt"
	"log"
	"os/user"
)

func main() {
	userCtx, err := user.Current()
	if err != nil {
		log.Fatal("Fatally tried to get user context...")
	}

	log.Println(userCtx)
	log.Println(userCtx.Name)
	log.Println(userCtx.Username)
	log.Println(userCtx.HomeDir)
	fmt.Scanln()
}
